Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.image.loader.impl
Class CompositeImageLoader

    java.lang.Object
      org.apache.xmlgraphics.image.loader.impl.AbstractImageLoader
          org.apache.xmlgraphics.image.loader.impl.CompositeImageLoader

All Implemented Interfaces:
  ImageLoader

    public class CompositeImageLoader

extends AbstractImageLoader

Composite ImageLoader implementation in order to provide fallbacks when one ImageLoader fails due to some limitation.

Field Summary
`protected static org.apache.commons.logging.Log` | `log` logger

Fields inherited from interface org.apache.xmlgraphics.image.loader.spi.ImageLoader
`MEDIUM_LOADING_PENALTY, NO_LOADING_PENALTY`

Constructor Summary
`CompositeImageLoader(ImageLoader[] loaders)` Main constructor.

Method Summary
`ImageFlavor` | `getTargetFlavor()` Returns the image flavor that is returned by this ImageLoader implementation.
`int` | `getUsagePenalty()` Returns the penalty assigned to using this image loader.
`Image` | `loadImage(ImageInfo info, java.util.Map hints, ImageSessionContext session)` Loads and returns an image.
`java.lang.String` | `toString()`

Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImageLoader
`ignoreColorProfile, loadImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    protected static final org.apache.commons.logging.Log log

  logger

Constructor Detail

### CompositeImageLoader

    public CompositeImageLoader(ImageLoader[] loaders)

  Main constructor.

  Parameters:
    `loaders` - the contained image loaders

Method Detail

### getTargetFlavor

    public ImageFlavor getTargetFlavor()

  Returns the image flavor that is returned by this ImageLoader implementation.

  Returns:
    the target image flavor

### getUsagePenalty

    public int getUsagePenalty()

  Returns the penalty assigned to using this image loader. The value is used to select the best processing chain for images.

  Specified by:
    `getUsagePenalty` in interface `ImageLoader`
  Overrides:
    `getUsagePenalty` in class `AbstractImageLoader`
  Returns:
    the usage penalty (must be a non-negative integer)

### loadImage

    public Image loadImage(ImageInfo info,
                           java.util.Map hints,
                           ImageSessionContext session)
                    throws ImageException,
                           java.io.IOException

  Loads and returns an image.

  Parameters:
    `info` - the image info object indicating the image
    `hints` - a Map of hints that can be used by implementations to customize the loading process (may be null).
    `session` - the session context
  Returns:
    the fully loaded image
  Throws:
    `ImageException` - if an error occurs while loading the image
    `java.io.IOException` - if an I/O error occurs while loading the image

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.